#!/usr/bin/python
# --
#                 - Mellanox Confidential and Proprietary -
#
# Copyright (C) Jan 2013, Mellanox Technologies Ltd.  ALL RIGHTS RESERVED.
#
# Except as specifically permitted herein, no portion of the information,
# including but not limited to object code and source code, may be reproduced,
# modified, distributed, republished or otherwise exploited in any form or by
# any means for any purpose without the prior written permission of Mellanox
# Technologies Ltd. Use of software subject to the terms and conditions
# detailed in the file "LICENSE.txt".
# --

# @author: Samer Deeb
# @date: Jan 19, 2017

import neohost_plugin_ifc
from mft_debug_defs import MftDebugDefs
from debug_get_system_info import DebugGetSystemInfo
from neohost_common import NeoHostCommon


class MftDebugPlugin(neohost_plugin_ifc.AbsNeoHostPluginIFC):
    def __init__(self):
        super(MftDebugPlugin, self).__init__(
            MftDebugDefs.MFT_DEBUG_PLUGIN_NAME,
            MftDebugDefs.MFT_DEBUG_PLUGIN_DESC,
            MftDebugDefs.MFT_DEBUG_PLUGIN_VER)
        if not NeoHostCommon.isWindowsOs():
            self.add_command(DebugGetSystemInfo())
