# --
#                 - Mellanox Confidential and Proprietary -
#
# Copyright (C) Jan 2013, Mellanox Technologies Ltd.  ALL RIGHTS RESERVED.
#
# Except as specifically permitted herein, no portion of the information,
# including but not limited to object code and source code, may be reproduced,
# modified, distributed, republished or otherwise exploited in any form or by
# any means for any purpose without the prior written permission of Mellanox
# Technologies Ltd. Use of software subject to the terms and conditions
# detailed in the file "LICENSE.txt".
# --

# @author: Simon Raviv
# @date: January 04, 2017

from performance.common.counters_names import CountersNames
from performance.common.analyzers_names import AnalyzersNames
from performance.services.analysis.analyzers.layer_2.hops_per_packet \
    import TXHopsPerPacket
from performance.services.analysis.analyzers.layer_3. \
    cx_family_packet_rate_bottleneck \
    import CXFamilyRXPacketRateBN, CXFamilyTXPacketRateBN


class CX4FamilyRXPacketRateBN(CXFamilyRXPacketRateBN):
    """ ConnectX-4/4 Lx RX hops per packet analyzer.
    """

    def __init__(self):
        super(CX4FamilyRXPacketRateBN, self).__init__()

    def analyse(self):
        super(CX4FamilyRXPacketRateBN, self).analyse(
            pipe_0_rate=CountersNames.
            RXT_STEERING_PERF_COUNT_STEERING0_RSE_WORK_RATE,
            pipe_1_rate=CountersNames.
            RXT_STEERING_PERF_COUNT_STEERING1_RSE_WORK_RATE)


class CX4FamilyTXPacketRateBN(CXFamilyTXPacketRateBN):
    """ ConnectX-4/4 Lx TX hops per packet analyzer.
    """

    def __init__(self):
        super(CX4FamilyTXPacketRateBN, self).__init__()

    def analyse(self):
        super(CX4FamilyTXPacketRateBN, self).analyse(
            pipe_0_rate=CountersNames.SXW_PERF_COUNT_STEERING_RSE0)
