# --
#                 - Mellanox Confidential and Proprietary -
#
# Copyright (C) Jan 2013, Mellanox Technologies Ltd.  ALL RIGHTS RESERVED.
#
# Except as specifically permitted herein, no portion of the information,
# including but not limited to object code and source code, may be reproduced,
# modified, distributed, republished or otherwise exploited in any form or by
# any means for any purpose without the prior written permission of Mellanox
# Technologies Ltd. Use of software subject to the terms and conditions
# detailed in the file "LICENSE.txt".
# --

# @author: Yossi Kendel
# @date: Nov 14, 2019

from performance.common.counters_names import CountersNames
from performance.common.analysis_constants import AnalysisConstants as AC
from performance.services.analysis.analyzers.layer_2.bw \
    import RXBandWidth, TXBandWidth


class CX6DXFamilyRXBandWidth(RXBandWidth):
    """ ConnectX-6 DX RX bandWidth analyzer.
    """

    def __init__(self):
        super(CX6DXFamilyRXBandWidth, self).__init__()

    def analyse(self):
        g_c_b_n = self.data.get_object_by_name
        calculation = \
            ((g_c_b_n(CountersNames.PTB_PORT_IF_48B_PORT_0) +
                g_c_b_n(CountersNames.PTB_PORT_IF_48B_PORT_1)) *
             AC.PTB_LINE * AC.BITS_IN_BYTE / float(AC.BITS_IN_GIGA))
        self.value = calculation


class CX6DXFamilyTXBandWidth(TXBandWidth):
    """ ConnectX-6 DX TX bandWidth analyzer.
    """

    def __init__(self):
        super(CX6DXFamilyTXBandWidth, self).__init__()

    def analyse(self):
        g_c_b_n = self.data.get_object_by_name
        calculation = \
            (g_c_b_n(CountersNames.SXP_BW_COUNT_PERF_COUNT_0_1) *
             AC.PORT_LINE * AC.BITS_IN_BYTE / float(AC.BITS_IN_GIGA))
        self.value = calculation
